#include <Entry.h>
#include <File.h>
#include <String.h>
#include <stdio.h>

BString projectString = 
	"NAME=testproject\n"
	"TARGETNAME=testproject\n"
	"PLATFORM=HaikuGCC4\n"
	"SCM=none\n"
	"GROUP=Source Files\n"
	"EXPANDGROUP=yes\n"
	"SOURCEFILE=main.cpp\n"
	"LOCALINCLUDE=\n"
	"SYSTEMINCLUDE=/boot/develop/headers/be\n"
	"SYSTEMINCLUDE=/boot/develop/headers/cpp\n"
	"SYSTEMINCLUDE=/boot/develop/headers/posix\n"
	"SYSTEMINCLUDE=/boot/home/config/include\n"
	"LIBRARY=/boot/develop/lib/x86/libroot.so\n"
	"LIBRARY=/boot/develop/lib/x86/libbe.so\n"
	"LIBRARY=/boot/develop/lib/x86/libsupc++.so\n"
	"LIBRARY=/boot/system/lib/libsupc++.so\n"
	"RUNARGS=\n"
	"CCDEBUG=no\n"
	"CCPROFILE=no\n"
	"CCOPSIZE=no\n"
	"CCOPLEVEL=0\n"
	"CCTARGETTYPE=0\n"
	"CCEXTRA=\n"
	"LDEXTRA=\n";

BString projectFileType = "text/x-vnd.dw-Paladin.Project";

int
main(void)
{
	//BEntry("testproject.pld").Remove();
	BFile file("testproject.pld", B_CREATE_FILE | B_READ_WRITE);
	
	int32 out = file.Write(projectString.String(), projectString.Length());
	printf("Size of project data written: %ld\n", projectString.Length());
	printf("Bytes written to test project: %ld\n", out);
	
	out = file.WriteAttrString("BEOS:TYPE", &projectFileType);
	printf("WriteAttrString() returned error number %ld\n", out);
	
	BString type;
	file.ReadAttrString("BEOS:TYPE", &type);
	printf("Type read from file: %s\n", type.String());
	
	file.Unset();
	return 0;
}
